<?php
$wp_customize->add_section(
    'contact_area',
    array(
        'title' => __('Contact Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'contact_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'contact_area_disable',
        array(
            'settings'      => 'contact_area_disable',
            'section'       => 'contact_area',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);


backgroundManager($wp_customize, 'contact', 'contact_area', $color='#fff', get_template_directory_uri().'/images/conbg.jpg', 'color');

lzCustomLable($wp_customize, 'contact_area_overlayop', 'contact_area', 'Section Overlay Opacity Settings:');

$wp_customize->add_setting(
    'contact_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_areaOpacity',
    array(
        'settings'      => 'contact_areaOpacity',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Section Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contactarea_overlay_color', 'contact_area', 'Section Overlay Color', '#001b42');


lzCustomLable($wp_customize, 'contactarea_padding', 'contact_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'contact_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_areaTpadding',
    array(
        'settings'      => 'contact_areaTpadding',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'contact_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_areaBpadding',
    array(
        'settings'      => 'contact_areaBpadding',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'contactarea_circle', 'contact_area', 'Section Circle Setting:');

$wp_customize->add_setting(
    'contact_number',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '24/7', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_number',
    array(
        'settings'      => 'contact_number',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Circle Number', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'contact_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'emergancy service', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_text',
    array(
        'settings'      => 'contact_text',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Circle Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contacsec_cirbgclr', 'contact_area', 'Section Circle Background Color', '#ff5317');
addColorPalatOption($wp_customize, 'contacsec_cirbrdclr', 'contact_area', 'Section Circle Border Color', '#ccd0dc');
addColorPalatOption($wp_customize, 'contacsec_cirnumclr', 'contact_area', 'Section Circle Number Color', '#fff');
addColorPalatOption($wp_customize, 'contacsec_cirtxtclr', 'contact_area', 'Section Circle Text Color', '#fff');

$wp_customize->add_setting(
    'contact_page_maintitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contact_page_maintitle_heading',
        array(
            'settings'      => 'contact_page_maintitle_heading',
            'section'       => 'contact_area',
            'label'         => __( 'Section Heading', 'luzuk-premium' ),
        )
    )
); 

$wp_customize->add_setting(
    'contact_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact With Us?', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_page_maintitle',
    array(
        'settings'      => 'contact_page_maintitle',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Heading For Section', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contactarea_title_color', 'contact_area', 'Heading Color', '#fafcfd');

$wp_customize->add_setting(
    'contact_address',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Address: <span>C42 - Downtown Los Angeles ,USA</span>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_address',
    array(
        'settings'      => 'contact_address',
        'section'       => 'contact_area',
        'type'          => 'textarea',
        'label'         => __( 'Text for section', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'contact_mobile',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Mobile: +012 (3456) 7788', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_mobile',
    array(
        'settings'      => 'contact_mobile',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Mobile No. & Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'contact_mail',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Mail: info@gentechtree.com', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_mail',
    array(
        'settings'      => 'contact_mail',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Mail Id', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contactarea_text_color', 'contact_area', 'Text , Email , Mobile No. Color', '#fff');
addColorPalatOption($wp_customize, 'contactarea_texthigh_clr', 'contact_area', 'Text Highlight & Email & Mobile No. Hover Color', '#ff5317');



lzCustomLable($wp_customize, 'contactbtn_lblbuttonabtdisplay', 'contact_area', 'Button Display & Text Setting:');

// to show & hide another button
$wp_customize->add_setting( 'contact_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'contact_button_display', array( 'label' => 'Button Display', 'section' => 'contact_area', 'settings' => 'contact_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'contact_btn_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Call Now' )
    )
);
$wp_customize->add_control(
    'contact_btn_txt',
    array(
        'settings'      => 'contact_btn_txt',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('contact_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('contact_btnlink',
    array(
        'settings'      => 'contact_btnlink',
        'section'       => 'contact_area',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contactarea_buttontext_color', 'contact_area', 'Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'contactarea_buttontexthv_color', 'contact_area', 'Button Text Hover Color', '#fff');
addColorPalatOption($wp_customize, 'contactarea_buttontextbg_color', 'contact_area', 'Button Background Color', '#ff5317');
addColorPalatOption($wp_customize, 'contactarea_buttontexthvbg_color', 'contact_area', 'Button Background Hover Color', '#001b42');
addColorPalatOption($wp_customize, 'contactarea_buttonbrd_color', 'contact_area', 'Button Border Color', '#fff');